@font-face {
    font-family: 'Proxima Nova';
    src: url('./assets/fonts/ProximaNova-Regular.eot');
    src: url('./assets/fonts/ProximaNova-Regular.eot?#iefix') format('embedded-opentype'),
        url('./assets/fonts/ProximaNova-Regular.woff2') format('woff2'),
        url('./assets/fonts/ProximaNova-Regular.woff') format('woff'),
        url('./assets/fonts/ProximaNova-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

$font-style: 'Proxima Nova';

body {
    margin: 0;
    font-family: $font-style;
}

.mat-drawer.mat-drawer-side {
    background: #fff;
}

.mat-drawer-content {
    background-color: #f0f5fb;
    padding: 15px;

    @media screen and (max-width: 768px) {
        margin-left: 0px !important;
    }


    .mat-card {
        background: #fff;
        margin-bottom: 13px;
        padding-top: 0;

        .mat-card-header-text {
            width: 100%;
            margin: 0px 0px;
            padding: 0px 0px;

            .mat-card-title {
                .card-title{
                font-weight: 700;
                font-size: 16px;
                line-height: 20px;
                display: flex;
                align-items: center;
                color: #506E85;
                margin: 0;
                padding: 4px 0;
            }
                &-icon {
                    margin-right: 0px;
                }
            }

            .mat-card-subtitle {
                background: #F8FBFD;
                height: 32px;
                line-height: 32px;
                border: 1.33333px solid #F0F5FB;
                border-left: 0;
                border-right: 0;
                font-weight: 400;
                font-size: 12px;
                line-height: 15px;
                display: flex;
                align-items: center;
                color: #4D5A65;
                padding: 0 36px;
                margin: 0 -16px;
            }
        }

        .mat-card-content {
            padding-top: 40px;
            display: grid;
            grid-template-columns: repeat(4, 1fr);
            grid-gap: 50px;
            @media screen and (max-width:768px) {
                grid-template-columns: repeat(2, 1fr);
                grid-template-rows: auto;
            }

            @media screen and (max-width:586px) {
                grid-template-columns: 100%;
                grid-template-rows: auto;
            }

            .blog-post {
                .mat-card-image {
                    margin: 0 !important;
                    width: 133px;
                    height: 73px;
                    border-radius: 4px;
                }

                &__title {
                    font-weight: 700;
                    font-size: 20px;
                    line-height: 24px;
                    display: flex;
                    align-items: center;
                    color: #000000;
                    margin: 20px 0 7px 0;
                }

                &__detail {
                    font-weight: 400;
                    font-size: 14px;
                    line-height: 17px;
                    display: flex;
                    align-items: center;
                    color: #506E85;
                    margin: 0;
                }
            }
        }
    }

    .mat-card.page-title-bar {
        background: #fff;
        margin-bottom: 13px;
        padding-top: 0;

        .mat-card-header-text {
            width: 100%;
            margin: 0;
            padding: 0;

            .mat-card-title {
                font-weight: 700;
                font-size: 16px;
                line-height: 20px;
                display: flex;
                align-items: center;
                color: #506E85;
                margin: 0;
                padding: 4px 0;

                &-icon {
                    margin-right: 10px;
                }
            }

        }
    }

    .featured-card-wrapper {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-gap: 15px;
        @media screen and (max-width:768px) {
            grid-template-columns: repeat(2, 1fr);
            grid-template-rows: auto;
        }
        @media screen and (max-width:586px) {
            grid-template-columns: 100%;
            grid-template-rows: auto;
        }

        .mat-card.feature-card {
            background: #fff;
            margin-bottom: 13px;
            padding: 0px 24px;
            height: 199px;

            .mat-card-header-text {

                padding-top: 15px;
                border: 0;

                .mat-card-title {
                    display: flex;
                    justify-content: flex-end;

                    &-icon {
                        color: #47A1F6;

                        .mat-icon {
                            width: 40px;
                            height: 40px;
                            font-size: 42px;
                            line-height: 42px;
                        }
                    }
                }

            }

            .mat-card-content {
                display: block;

                .mat-card-title {
                    font-weight: 700;
                    font-size: 40px;
                    line-height: 20px;
                    display: flex;
                    align-items: center;
                    color: #000000;
                    padding: 4px 0;
                }

                .mat-card-subtitle {
                    font-weight: 700;
                    font-size: 20px;
                    line-height: 24px;
                    display: flex;
                    align-items: center;
                    color: #506E85;
                }

            }
        }
    }
    .mat-card.table-card{
        .mat-card-header{
            padding: 11px 42px;
            border-bottom: 1.33333px solid #E1EDF1;

            margin: 0 -17px;
            .mat-card-header-text{
                border-bottom: 0;
                .mat-card-title{
                    display: flex;
                    justify-content: space-between;  
                    width: 100%;
                    font-weight: 400;
                    font-size: 16px;
                    line-height: 19px;
                    align-items: center;
                    color: #253244;
                    @media screen and (max-width:586px) {
                        display: block;
                    }

                }

                .table-card__select{
                    display: flex;
                    align-items: center;

                    &__field{
                        width: 62px;
                        height: 30px;
                        background: #FFFFFF;
                        border: 1.33333px solid #ACC0D0;
                        margin: 0 10px;
                        font-weight: 400;
                            font-size: 14px;
                    }
                }
                .table-card__search{
                        background: #FFFFFF;
                        border: 1.33333px solid #ACC0D0;
                        display: flex;
                        align-items: center;
                        @media screen and (max-width:586px) {
                            margin-top: 20px;
                        }
                        .mat-form-field-flex{
                            align-items: center;
                        }
                        .material-icons{
                            line-height: 30px;
                        }
                        .mat-input-element{
                            font-weight: 400;
                            font-size: 14px;
                        }
                }
            }
        }
    }

    .main-wraper{
        display: grid;
        grid-gap: 26px;
        grid-template-columns: repeat(6 ,1fr);
        grid-template-rows: auto;
        
        @media screen and (max-width:1024px) {
            grid-template-columns: repeat(3 ,1fr);
            grid-template-rows: auto;
            grid-gap: 26px;
        }
        @media screen and (max-width:767px) {
            grid-template-columns: repeat(1 ,1fr);
            grid-template-rows: auto;
        }
        .mat-card.user-card{
            background-color: white;
                border: none;
                display: flex;
                align-items: center;
                flex-direction: column;
                margin-top: 45px;
                margin-bottom: 0;

                .circle{
                    width: 110px;
                    height: 110px;
                    border: 10px solid white;
                    border-radius: 50%;
                    margin-top: -45px;
                    overflow: hidden;
                    &__img{
                        width: 100%;
                        height: 100%;
                    }
                   
                    }
                    .paper{
                        width: 35px;
                        height: 35px;
                        background-color: #2887ED;
                        border-radius: 50%;
                        border: 2px solid white;
                        margin-top: -30px;
                        margin-left: 50px;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                    &__icon{
                            color: white;
                        }
                }
                .user-card__title{
                    font-weight: 700;
                    font-size: 22px;
                    line-height: 27px;
                    display: flex;
                    align-items: center;
                    text-align: center;
                    color: #47A1F6;
                    margin: 30px 0 0;
                }
                .user-card__detail{
                    font-weight: 400;
                    font-size: 16px;
                    line-height: 19px;
                    display: flex;
                    align-items: center;
                    text-align: center;
                    color: #506E85;
                    margin: 10px 0px 15px;

                }
        }
        }
}


.mat-button-toggle-standalone.mat-button-toggle-appearance-standard, .mat-button-toggle-group-appearance-standard{
    border: 1.33333px solid #DEE6EC;
}
.mat-button-toggle{
    border-right: 1.33px solid #DEE6EC;
    &:last-child{
        border-right: 0;
    }
}
.mat-drawer-content .mat-card.page-title-bar .mat-card-header-text .mat-card-title{
    justify-content: space-between;
}
.mat-button-toggle-appearance-standard .mat-button-toggle-label-content{
    padding: 0 5px !important;
}

.mat-button-toggle-button {
    line-height: 25px !important;
    font-size: 9px !important;
    &:hover, &.active{
        color: #47A1F6;
    }
}
.mat-button-toggle.active .mat-button-toggle-button{
    color: #47A1F6;
}
.mat-button-toggle-label-content{
    line-height: 30px !important;
}